summaryrefslogtreecommitdiff
path: root/source3/script/installbin.sh
diff options
context:
space:
mode:
authorSamba Release Account <samba-bugs@samba.org>1996-05-04 07:50:46 +0000
committerSamba Release Account <samba-bugs@samba.org>1996-05-04 07:50:46 +0000
commit0db2ec0e94c6849202a2aa6e9965bfef0acb4e7a (patch)
treea07fdef481e206a89917895bd3dbe2eda0f25ee3 /source3/script/installbin.sh
parentce9f59147274357ef0ab7ae968564fb804430cdc (diff)
parent0e8fd3398771da2f016d72830179507f3edda51b (diff)
downloadsamba-0db2ec0e94c6849202a2aa6e9965bfef0acb4e7a.tar.gz
samba-0db2ec0e94c6849202a2aa6e9965bfef0acb4e7a.tar.bz2
samba-0db2ec0e94c6849202a2aa6e9965bfef0acb4e7a.zip
This commit was generated by cvs2svn to compensate for changes in r4,
which included commits to RCS files with non-trunk default branches. (This used to be commit c8a46aca039f16b00bcd177ac2bb9962fdfff529)
Diffstat (limited to 'source3/script/installbin.sh')
-rwxr-xr-xsource3/script/installbin.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/source3/script/installbin.sh b/source3/script/installbin.sh
new file mode 100755
index 0000000000..633e6cb5bb
--- /dev/null
+++ b/source3/script/installbin.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+INSTALLPERMS=$1
+BASEDIR=$2
+BINDIR=$3
+LIBDIR=$4
+VARDIR=$5
+shift
+shift
+shift
+shift
+shift
+
+for d in $BASEDIR $BINDIR $LIBDIR $VARDIR; do
+if [ ! -d $d ]; then
+mkdir $d
+if [ ! -d $d ]; then
+ echo Failed to make directory $d
+ exit 1
+fi
+fi
+done
+
+
+for p in $*; do
+ echo Installing $p as $BINDIR/$p
+ if [ -f $BINDIR/$p ]; then
+ mv $BINDIR/$p $BINDIR/$p.old
+ fi
+ cp $p $BINDIR/$p
+ chmod $INSTALLPERMS $BINDIR/$p
+done
+
+
+cat << EOF
+======================================================================
+The binaries are installed. You may restore the old binaries (if there
+were any) using the command "make revert"
+======================================================================
+EOF
+
+exit 0
+